<?php
/**
 * @file
 * Module admin page settings.
 */

/**
 * Implements hook_permission().
 */
function civicrm_contact_distance_search_permission() {
  return array(
    'administer civicrm_contact_distance_search settings' => array(
      'title' => t('Access google api setting of civicrm_contact_distance'),
    ),
  );
}

/**
 * Implements hook_admin().
 */
function civicrm_contact_distance_search_admin() {
  $form = array();
  $form['civicrm_contact_distance_search_googleapi'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Maps API Key'),
    '#default_value' => variable_get('civicrm_contact_distance_search_googleapi'),
    '#size' => 100,
    '#description' => t("Add the Google Maps API Key here for civicrm contact distance search"),
    '#required' => TRUE,
  );
  
  $form['is_find_postcode_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable find nearest postcode feature ?'),
    '#default_value' => variable_get('is_find_postcode_enabled'),
    '#description' => t("Enable this for finding nearest postcode functionality"),
    '#required' => FALSE,
  );
  
  $form['is_gmap_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable GoogleMap index ?'),
    '#default_value' => variable_get('is_gmap_enabled'),
    '#description' => t("Enable this for marking contacts in GoogleMap"),
    '#required' => FALSE,
  );
  
  return system_settings_form($form);
}
