/**
 * @file
 * Javascript for fit geocodes in GoogleMap.
 */
jQuery(document).ready(function() {
  var locations=[];
  jQuery( ".view-content .views-row" ).each(function( index ) {
	  lat = jQuery( this ).find('div.views-field-geo-code-1').find('span.field-content').text();
	  lng = jQuery( this ).find('div.views-field-geo-code-2').find('span.field-content').text();
	  name = jQuery( this ).find('div.views-field-display-name').find('a').text();
	  link = jQuery( this ).find('div.views-field-display-name').find('a').attr('href');
	  id   = jQuery( this ).find('div.views-field-id').find('span.field-content').text();
	  if(lat!='' && lng!=''){
		  locations.push({
			  name : name,
			  link : link,
			  lat:lat,
			  lng:lng,
			  id:id
		  });
	  }
  });
  
  if(locations.length>0){
	  jQuery( '#google-map' ).css('min-height','400px');
	  jQuery( "<div class='view-map-footer'>"+locations.length+" results marked on the map.</div>").insertAfter( "#google-map" );
	  
	  /* Map Bound */
	  var bounds = [];
	  var map = new GMaps({
			el: '#google-map',
			lat: locations[0].lat,
			lng: locations[0].lng,
			scrollwheel: true,
	  });
	  
	  jQuery.each(locations, function( index, item ) {
		  
		  /* Set Bound Marker */
		  var latlng = new google.maps.LatLng(item.lat, item.lng);
		  bounds.push(latlng);
			
		  map.addMarker({
		      lat: item.lat,
		      lng: item.lng,
		      title: item.name,
		      infoWindow: {
		          content: '<a target="_blank" href="'+item.link+'">'+item.name+'</a>'
		      }
		  });
	  });
	  /* Fit All Marker to map */
	  map.fitLatLngBounds(bounds);
  }
});